import './TrustMembersOverview.css';
import type { TrustMember } from './types';
export interface TrustMembersOverviewProps {
    navigateBackToTaskList(): void;
    navigateToEditTrustMember(trustMember: TrustMember | 'new'): void;
    navigateToEditTrustMemberOwner(trustMemberOwnerId: string, trustMemberId: string): void;
}
export declare const TrustMembersOverview: ({ navigateBackToTaskList, navigateToEditTrustMember, navigateToEditTrustMemberOwner, }: TrustMembersOverviewProps) => import("preact/jsx-runtime").JSX.Element;
export declare const TrustMembersOverviewInner: ({ trustMembers, deleteTrustMember, navigateBackToTaskList, navigateToEditTrustMember, navigateToEditTrustMemberOwner, }: TrustMembersOverviewProps & {
    trustMembers: TrustMember[];
    deleteTrustMember(trustMember: TrustMember): void;
}) => import("preact/jsx-runtime").JSX.Element;
